EDIT - bug #3226

openlayers map google baselayers: api keys rejected
11/29/2012 02:08 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

Corvidae portal:
Ich habe mir gerade einen neuen google (browser) key besorgt aber das liebe Portal méchte ihn nicht.

Meldung: This web site needs a different Google Maps API key. A new key can be generated at
http://code.google.com/apis/maps/documentation/javascript/v2/introduction.html#Obtaining_Key

Associated revisions

Revision 2b83cc8b - 11/25/2016 01:42 PM - Andreas Kohlbecker
fix #3226 fixing broken Google map layers

History

#1 - 09/10/2014 10:43 AM - Andreas Kohlbecker

- Keywords set to map

#2 - 09/29/2016 10:57 AM - Andreas Kohlbecker
- Description updated

- Category deleted (cdm-dataportal)

- Priority changed from New to Highest

- Target version changed from cdm_dataportal - Next Major Release to Release 4.4

this is easy to fix

#4 - 09/29/2016 01:04 PM - Andreas Miuiller
- Category set to Import

#6 - 11/25/2016 01:42 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- Private changed from Yes to No

#7 - 11/25/2016 01:43 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|2b83cc8b859c5bfabffb07ccc9c090f3031c6f1a.

#8 - 11/25/2016 01:48 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Gabriele Drége

Hi Gabi,

please can you do the review for this ticket? This it as brief how-to:
http://code.google.com/apis/maps/documentation/javascript/v2/introduction.html#Obtaining_Key
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/2b83cc8b859c5bfa6ffb07ccc9c090f3031c6f1a

1. got to http:/test.e-taxonomy.eu/dataportal/preview/corvidae/admin/config/cdm_dataportal/settings/geo
2. enter you Google Maps API key
3. Test the google maps as openlayers base layers.

Thanks
#9 - 12/05/2016 01:02 PM - Gabriele Drége
Probably I'm too stupid.

I'm at the test portal, entered the google api key. | selected one of the google maps, but still there is the message: A Google Maps layer is configured
but the API key is either missing or invalid. Please set your Google Maps API key in the Geo & Map Settings.

Am | doing something wrong?
#10 - 12/06/2016 04:33 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Gabriele Drége to Andreas Kohlbecker
Gabriele Droge wrote:
Am | doing something wrong?
You added your google api key with a trailing whitespace. After removing that the key is accepted. Another problem is that mixing the google

layers with the Metacarta Vmap0 seems to cause problems in the map viewer, most probably due to incompatible projections. | diabled all layers
but google satellite et voila!

I think this is solved. | am closing this ticket. Please reopen if you don't agree.
